.module .leaflet-draw ul {
    margin-left: 0px;
    padding-left: 0px;
}
.module .leaflet-draw ul li {
    list-style-type: none;
}

.leaflet-control-locate > .leaflet-bar-part {
    padding-left: 0;
    padding-top: 0;
}

.leaflet-control-layers-list {
    max-width: 200px;
    max-height: 200px;
    overflow: auto;
}
.leaflet-control-layers-base {
    overflow: auto;
}
.leaflet-control-layers-overlays {
    overflow: auto;
}
.leaflet-control-layers-separator {
  max-width: 100%;
}

.leaflet-control-layers-group-label {
    width: 100%;
    border-bottom: 1px solid #DDD;
    margin-bottom: 5px;
}

.leaflet-control-locate a.leaflet-bar-part {
  font-size: 22px;
}

.leaflet-control-layers-list {
  min-height: 100px;
  label {
    padding: 0 10px 0 0;
    font-size: 11px;
    input {
      margin-top: 0px;
      top: unset;
      margin-right: 5px;
    }
  }

  label:not(.leaflet-control-layers-group-label) {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
  }
}

.map-overlay-popup {
  // text-align: center;
  // width: 80%;
  .leaflet-popup-content-wrapper {
    // max-width: 80%;
    margin-right: auto;
    margin-left: auto;
  }
}

.map-hidden {
  display: none!important;
}

.map-photo .leaflet-control-layers.leaflet-control.leaflet-control-layers-expanded {
  height: 120px;
  overflow-y: scroll;
  .leaflet-control-layers-list {
    min-height: 0px;
    max-height: 100%;
  }
}

.leaflet-control-reduce-container {
  width: 100%;
  background-color: transparent;
  display: flex;
  justify-content: center;
  position: absolute;
  top: 10px;
  .leaflet-control-reduce {
    z-index: 1000;
  }
}

// Custom square marker that contains an image in its center
.square-marker {
  &.outer {
    width: 30px;
    height: 30px;
    border-radius: 50% 50% 50% 0;
    background: $marker-color;
    position: absolute;
    transform: rotate(-45deg);
    left: 50%;
    top: 50%;
    margin: -15px 0 0 -15px;

    .inner {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 40px;
      height: 40px;
      margin-top: -10px;
      margin-right: 0px;
      margin-bottom: 0px;
      margin-left: 0px;
      transform: rotate(45deg);
      background: $marker-color;
      &::after {
        content: '';
        width: 34px;
        height: 34px;
        background: #fff;
        position: absolute;
        border-radius: 0;
      }
      .inner-img {
        padding: 4px;
        object-fit: contain;
        max-height: 100%!important;
        max-width: 100%!important;
        width: auto;
        z-index: 100;
      }
    }
  }
}


